Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Class PropertyEditor

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          ix.iface.ui.JConstraintEditor
                              ix.iview.PropertyEditor

All Implemented Interfaces:
  java.awt.event.MouseListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class PropertyEditor

extends JConstraintEditor

A simple text-input editor for entering property names with a list for the syntax type. Used for ObjectClass property lists. It is like a JOptions dialogue, but it has two entry parts (string and list) and an "Add More" button. The editor can be created with no arguments or with a given ObjectClass which will be set as the current ObjectClass for which the properties are to be defined. Subsequently, the ObjectClass in the editor can be set using the setObjectClass method.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`java.lang.String` | `message`
`protected javax.swing.JList` | `syntaxList`

Fields inherited from class ix.iface.ui.JConstraintEditor
`bitsBox, butBox, cancelBut, constraintListeners, currentObject, focusComponent, label, mainPanel, moreBut, okBut, original`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`PropertyEditor(java.awt.Frame owner)` Creates an editor for specifying time point relations.
`PropertyEditor(java.awt.Frame owner, java.lang.String message)` Creates an editor for specifying time point relations.

Method Summary
`protected java.lang.Object` | `collectConstraint()` Reads the selected relation and let interested parties know.
`protected java.lang.String` | `getField(java.lang.Object constraint)` Gets the field that the constraint is kept in.
`protected javax.swing.JComponent` | `getFocusComponent()` By default, there is no focus component
`protected java.util.List` | `getPreviousList(java.lang.Object constraint)` Gets the previous list of values for the given constraint.
`protected void` | `initFromObject()` Nothing to do to initialise the editor from an object class
`protected java.awt.Component` | `makeBits()` Makes all items on the panel used to specify parts of the constraint.
`protected java.awt.Component` | `makeRels()` Makes all items on the relations panel - just a text field and a list.
`protected java.lang.Object` | `noteNewValue(java.lang.Object constraint)` make UIO update properly so that the event is noted elsewhere (panels..)
`protected void` | `setFromObject(java.lang.Object original)` when editing, put text in and select syntax
`void` | `setText(java.lang.String text)`
`void` | `start()`

Methods inherited from class ix.iface.ui.JConstraintEditor
`addConstraintListener, closeEditor, focus, getObject, isEditing, moreInitFromObject, mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased, processConstraint, removeConstraintListener, setMessage, setObject, setOriginal, start, start, start, start, start`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### message

    public java.lang.String message

### syntaxList

    protected javax.swing.JList syntaxList

Constructor Detail

### PropertyEditor

    public PropertyEditor(java.awt.Frame owner)

  Creates an editor for specifying time point relations. The editor has components for selecting two time points of two sub-activities, and two buttons (Ok, Cancel)

### PropertyEditor

    public PropertyEditor(java.awt.Frame owner,
                          java.lang.String message)

  Creates an editor for specifying time point relations. The editor has components for selecting two time points of two sub-activities, and two buttons (Ok, Cancel)

Method Detail

### makeBits

    protected java.awt.Component makeBits()

  Description copied from class: `JConstraintEditor`
  Makes all items on the panel used to specify parts of the constraint.

  Specified by:
    `makeBits` in class `JConstraintEditor`

### makeRels

    protected java.awt.Component makeRels()

  Makes all items on the relations panel - just a text field and a list.

### setText

    public void setText(java.lang.String text)

### getFocusComponent

    protected javax.swing.JComponent getFocusComponent()

  Description copied from class: `JConstraintEditor`
  By default, there is no focus component

  Overrides:
    `getFocusComponent` in class `JConstraintEditor`

### start

    public void start()

  Overrides:
    `start` in class `JConstraintEditor`

### getPreviousList

    protected java.util.List getPreviousList(java.lang.Object constraint)

  Description copied from class: `JConstraintEditor`
  Gets the previous list of values for the given constraint. By default, there is no previous list

  Overrides:
    `getPreviousList` in class `JConstraintEditor`

### getField

    protected java.lang.String getField(java.lang.Object constraint)

  Description copied from class: `JConstraintEditor`
  Gets the field that the constraint is kept in. By default, we do not look up the value

  Overrides:
    `getField` in class `JConstraintEditor`

### initFromObject

    protected void initFromObject()

  Nothing to do to initialise the editor from an object class

  Specified by:
    `initFromObject` in class `JConstraintEditor`

### setFromObject

    protected void setFromObject(java.lang.Object original)

  when editing, put text in and select syntax

  Specified by:
    `setFromObject` in class `JConstraintEditor`

### collectConstraint

    protected java.lang.Object collectConstraint()

  Reads the selected relation and let interested parties know. Checks that selections have been made.

  Specified by:
    `collectConstraint` in class `JConstraintEditor`

### noteNewValue

    protected java.lang.Object noteNewValue(java.lang.Object constraint)

  make UIO update properly so that the event is noted elsewhere (panels..) Overwrites JConstraintEditor to allow for handling overwrite

  Overrides:
    `noteNewValue` in class `JConstraintEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD